# -*- coding: utf-8 -*-

from View.ASubWindow import ASubWindow
from View.ListedSubWindow import ListedSubWindow

from PyQt5.QtGui import (
    QKeySequence,
)

from PyQt5.QtCore import (
    Qt, QVariant, QAbstractTableModel,
)

from PyQt5.QtWidgets import (
    QDialogButtonBox, QComboBox, QUndoStack, QShortcut,
    QDoubleSpinBox,
)

class DischargeDialog(ASubWindow, ListedSubWindow):
    def __init__(self, title="Discharge", parent=None):
        super(DischargeDialog, self).__init__(
            name=title, ui="InitialConditions_Dialog_Generator_Discharge", parent=parent
        )

        self.value = None

    def accept(self):
        self.value = self.find(QDoubleSpinBox, "doubleSpinBox").value()
        super().accept()

    def reject(self):
        self.close()
